function externalLinks() {
if (!document.getElementsByTagName) return;
var anchors = document.getElementsByTagName("a");
for (var i=0; i<anchors.length; i++) {
var anchor = anchors[i];
if (anchor.getAttribute("href") &&
anchor.getAttribute("rel") == "external")
anchor.target = "_blank";}}

window.onload = externalLinks;
function selectTag(showContent,selfObj){
var tag = document.getElementById("tags").getElementsByTagName("a");
var taglength = tag.length;
for(i=0; i<taglength; i++){
tag[i].className = "";}
selfObj.className = "focu";
for(i=0; j=document.getElementById("baidu"+i); i++){
j.style.display = "none";}
document.getElementById(showContent).style.display = "block";}
function addBookmark(title,url) {
if (window.sidebar) {
window.sidebar.addPanel(title, url,"");}
else if( document.all ) {
window.external.AddFavorite( url, title);}
else if( window.opera && window.print ) {
return true;}}

function CopyToClipBoard(){
window.clipboardData.setData("Text",'卢松松独立博客大全-http://www.lusongsong.com');
alert("复制成功，请粘贴到你的QQ/MSN上推荐给你的好友，谢谢！");}